# Uses of Class
io.dapr.client.domain.ExecuteStateTransactionRequest

Packages that use ExecuteStateTransactionRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of ExecuteStateTransactionRequest in io.dapr.client

Methods in io.dapr.client with parameters of type ExecuteStateTransactionRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`executeStateTransaction(ExecuteStateTransactionRequest request)`
Execute a transaction.
`reactor.core.publisher.Mono<Void>`
DaprClientImpl.`executeStateTransaction(ExecuteStateTransactionRequest request)`
Execute a transaction.

## Uses of ExecuteStateTransactionRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return ExecuteStateTransactionRequest
Modifier and Type
Method
Description
`ExecuteStateTransactionRequest`
ExecuteStateTransactionRequest.`setMetadata(Map<String,String> metadata)`
`ExecuteStateTransactionRequest`
ExecuteStateTransactionRequest.`setOperations(List<TransactionalStateOperation<?>> operations)`